# ClimaLSM

```@meta
CurrentModule = ClimaLSM
```
## LSM Model Types and methods

```@docs
ClimaLSM.SoilPlantHydrologyModel
ClimaLSM.LandSoilBiogeochemistry
ClimaLSM.LandHydrology
ClimaLSM.make_interactions_update_aux
ClimaLSM.initialize_interactions
ClimaLSM.land_components
ClimaLSM.lsm_aux_vars
ClimaLSM.lsm_aux_types
ClimaLSM.lsm_aux_domain_names
ClimaLSM.domain_name
```

## Land Hydrology

```@docs
ClimaLSM.infiltration_capacity
ClimaLSM.infiltration_at_point
ClimaLSM.PrognosticRunoff
ClimaLSM.RunoffBC
```

## SoilCanopyModel

```@docs
ClimaLSM.PrognosticSoil
ClimaLSM.RootExtraction
```

## LandSoilBiogeochemistry

```@docs
ClimaLSM.PrognosticMet
```
